# RoboRally

![Finished robot](https://imaginaerraum.de/git/Telos4/RoboRally/raw/branch/master/docs/images/finished_robot_2.jpeg)

This project aims to provide a low-cost framework for automatic control experiments with small two-wheeled robots. 

It consists of a list of components, step-by-step assembly instructions and the necessary software for getting started with robot control.

Here's a demonstration video of what is possible with these robots:

[![Robot MPC demo](http://img.youtube.com/vi/u44QiJX27_s/0.jpg)](http://www.youtube.com/watch?v=u44QiJX27_s)


The project aims to be as affordable as possible. The total cost for a single robot is about 30 € or 35 $. This means you can easily build several of them e.g. for doing swarm robotics or cooperative robot experiments. 

### Getting started ###
For assembly instructions for the robots see the files int the docs/ subfolder of the repository. 
The first one is [1_ASSEMBLY.md](https://imaginaerraum.de/git/Telos4/RoboRally/src/branch/master/docs/1_ASSEMBLY.md) which explains what components to get and how to assemble them into a robot.

